/* tslint:disable */
/* eslint-disable */
/**
* @returns {Version}
*/
export function get_unicode_version(): Version;
/**
*
* Get segmented Unicode scalars of a string with each segmentation representing a Unicode
* grapheme cluster.
*
* Returns a list of 32-bit signed integers where:
* - Integers equal or greater than 0 represent a code point of a Unicode character
* - Integers less than 0 are separators of the segmentations
* @param {string} string
* @returns {Int32Array}
*/
export function get_segmented_scalars(string: string): Int32Array;
/**
*
* Convert a Unicode code point to a character.
* If the code point is invalid, U+FFFD is returned.
* @param {number} code_point
* @returns {string}
*/
export function get_character_from_code_point(code_point: number): string;
/**
* @param {string} chr
* @returns {number}
*/
export function get_code_point(chr: string): number;
/**
* @param {string} chr
* @returns {string}
*/
export function get_name(chr: string): string;
/**
* @param {string} chr
* @returns {Version}
*/
export function get_age(chr: string): Version;
/**
* @param {string} chr
* @returns {GeneralCategory}
*/
export function get_general_category(chr: string): GeneralCategory;
/**
*/
export class GeneralCategory {
  free(): void;
/**
* @returns {string}
*/
  get_human_readable_name(): string;
/**
* @returns {string}
*/
  get_abbreviation(): string;
}
/**
*/
export class Version {
  free(): void;
/**
* @returns {number}
*/
  major: number;
/**
* @returns {number}
*/
  micro: number;
/**
* @returns {number}
*/
  minor: number;
}
